Subject: bug#5345: Password asked when visiting a file in a lightweight checkout

From: Lennart Borgman <[email-masked]>
Date: Sat, 9 Jan 2010 21:57:58 +0100

On Sat, Jan 9, 2010 at 9:39 PM, Dan Nicolaescu <[email-masked]> wrote:
> Juanma Barranquero <[email-masked]> writes:
>
>  > On Sat, Jan 9, 2010 at 20:20, Dan Nicolaescu <[email-masked]> wrote:
>  >
>  > > Is that the correct URL syntax?
>  >
>  > Yes. This kind of URL is very common when dealing with files on
>  > Windows. According to RFC 1738 ("Uniform Resource Locators (URL)"),
>  > section 3.10 ("FILES"), the syntax is
>  >
>  >      file://<host>/<path>
>  >
>  > i.e., the slashes are separators. And "[a]s a special case, <host> can
>  > be the string "localhost" or the empty string; this is interpreted as
>  > `the machine from which the URL is being interpreted'.". So
>  > file:///C:/path is a perfectly valid URL for a local file on Windows,
>  > as a shorthand for file://localhost/C:/path. I'm surprised Unix URLs
>  > for absolute paths do not start with file:////.

We were discussing before if file://c:/some/where.txt also was
correct. We could not rule out the possibility that it was. So please
take care of this case too.

>  > > But please do it with a system-type test, /C:/emacs/repo/bugs/5313/ is a
>  > > valid unix file name.  Probably not used too much, but valid, so it
>  > > should not be excluded.
>  >
>  > Are you OK with the following patch?
>
> Sure.